MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031456Open CASCADE[OCCT] OCCT:Visualizationpublic2020-03-21 16:352020-06-21 20:45
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031456: Visualization - move out Dimensions and Relations from package AIS to PrsDims
DescriptionAIS package is overloaded by various presentation classes. It is proposed revising the list, and move out classes for Dimensions and Relations functionality into dedicated package PrsDims.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0031502verifiedbugmaster Coding - New warnings after integration fix for 0031456 
child of 0031401newkgv Visualization - revise Toolkits dependency graph 
child of 0031429newkgv Visualization - move out core AIS packages from TKV3d to TKService 

-  Notes
(0091110)
git (administrator)
2020-03-21 18:56

Branch CR31456 has been created by kgv.

SHA-1: e526cdf7156f94187514f19fee70fb8307fe880b


Detailed log of new commits:

Author: kgv
Date: Sat Mar 21 16:31:03 2020 +0300

    0031456: Visualization - move out Dimensions and Relations from package AIS to PrsDims
(0091111)
git (administrator)
2020-03-21 19:55

Branch CR31456 has been updated forcibly by kgv.

SHA-1: 536d7cba3245b0005ab213ab16b88da10296ddd1
(0091113)
git (administrator)
2020-03-21 20:51

Branch CR31456 has been updated forcibly by kgv.

SHA-1: c3c6a694737635dc490b47f9e5e4da95349cfc23
(0091114)
git (administrator)
2020-03-21 21:11

Branch CR31456 has been updated forcibly by kgv.

SHA-1: 32e960292f03be6a1a862b5f9d6b876fde1767b9
(0091117)
kgv (developer)
2020-03-21 21:40

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR31456-CR31456-KGV [^]
(0091285)
san (developer)
2020-03-26 21:39

The patch reviewed without remarks.

Branches for integration:
OCCT – CR31456
Products – CR31456
(0091305)
bugmaster (administrator)
2020-03-27 14:57

Combination -
OCCT branch : WEEK-13
master SHA - 64943a5187fa485536cd2dd1dd4d51b13d189b89
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-13 SHA - f10b867b449ebfa55e0a3c8cb276ae511f9cf7f2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16868.620000000134 / 16846.320000000138 [+0.13%]
Products
Total CPU difference: 11317.180000000084 / 11306.210000000074 [+0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 18288.046875 / 18268.796875 [+0.11%]
Products
Total CPU difference: 13120.859375 / 13110.609375 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091329)
git (administrator)
2020-03-28 13:47

Branch CR31456 has been deleted by inv.

SHA-1: 32e960292f03be6a1a862b5f9d6b876fde1767b9

- Related Changesets
occt: master 787ff240
Timestamp: 2020-03-21 13:31:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031456: Visualization - move out Dimensions and Relations from package AIS to PrsDims

The following classes and their subclasses within AIS package
have been moved to new package PrsDim and renamed:
- AIS_Relation -> PrsDim_Relation;
- AIS_Dimension -> PrsDim_Dimension,
mod - adm/UDLIST Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - samples/mfc/standard/Common/AngleParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgePage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ParamsFacesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/RadiusParamsPage.cpp Diff ] File ]
mod - src/AIS/AIS.hxx Diff ] File ]
rm - src/AIS/AIS_Chamf2dDimension.lxx Diff ] File ]
rm - src/AIS/AIS_Chamf3dDimension.lxx Diff ] File ]
rm - src/AIS/AIS_EqualDistanceRelation.lxx Diff ] File ]
rm - src/AIS/AIS_KindOfSurface.hxx Diff ] File ]
rm - src/AIS/AIS_MidPointRelation.lxx Diff ] File ]
rm - src/AIS/AIS_OffsetDimension.lxx Diff ] File ]
rm - src/AIS/AIS_ParallelRelation.lxx Diff ] File ]
rm - src/AIS/AIS_StandardDatum.hxx Diff ] File ]
rm - src/AIS/AIS_SymmetricRelation.lxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
add - src/PrsDim/FILES Diff ] File ]
add - src/PrsDim/PrsDim.hxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/TKV3d/PACKAGES Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintDriver.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-21 16:35 kgv New Issue
2020-03-21 16:35 kgv Assigned To => kgv
2020-03-21 16:35 kgv Relationship added child of 0031401
2020-03-21 16:35 kgv Relationship added child of 0031429
2020-03-21 18:56 git Note Added: 0091110
2020-03-21 19:55 git Note Added: 0091111
2020-03-21 20:51 git Note Added: 0091113
2020-03-21 21:11 git Note Added: 0091114
2020-03-21 21:40 kgv Note Added: 0091117
2020-03-21 21:40 kgv Assigned To kgv => osa
2020-03-21 21:40 kgv Status new => resolved
2020-03-21 21:51 kgv Assigned To osa => san
2020-03-26 21:39 san Note Added: 0091285
2020-03-26 21:39 san Assigned To san => bugmaster
2020-03-26 21:39 san Status resolved => reviewed
2020-03-27 14:57 bugmaster Note Added: 0091305
2020-03-27 14:57 bugmaster Status reviewed => tested
2020-03-27 15:01 bugmaster Test case number => Not required
2020-03-28 13:36 bugmaster Changeset attached => occt master 787ff240
2020-03-28 13:36 bugmaster Status tested => verified
2020-03-28 13:36 bugmaster Resolution open => fixed
2020-03-28 13:47 git Note Added: 0091329
2020-04-16 12:41 kgv Relationship added parent of 0031502


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker